Download it now!
Bug 116305 - Ctrl-Click on hyperlink doesn't bring Firefox into foreground
Summary: Ctrl-Click on hyperlink doesn't bring Firefox into foreground
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All Windows (All)
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Desktop-Integration
  Show dependency treegraph
 
Reported: 2018-03-09 09:46 UTC by Samuel Mehrbrodt (CIB)
Modified: 2018-03-15 11:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2018-03-09 09:46:04 UTC
1. Set Firefox as default browser
2. Make sure Firefox is not running
3. Make sure "Ctrl-Click required to follow hyperlinks" is enabled (Tools->Options->LibreOffice->Security->Options)
4. Ctrl+Click any hyperlink in Writer e.g.

Expected: Firefox is opened in foreground.

Actual: Firefox is opened in background

Weird thing: If the option "Ctrl-Click required to follow hyperlinks" is OFF, this bug does not appear.
Comment 1 Samuel Mehrbrodt (CIB) 2018-03-09 10:05:31 UTC
This happens only on Windows 7, not on Windows 10.
Comment 2 Samuel Mehrbrodt (CIB) 2018-03-09 10:10:12 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #1)
> This happens only on Windows 7, not on Windows 10.

Correcting myself: Also seen on Win 10.
Comment 3 Jacques Guilleron 2018-03-09 11:15:56 UTC
HI Samuel,

I confirm these two behaviors from
LO 3.5.3.2 Version ID : 235ab8a-3802056-4a8fed3-2d66ea8-e241b80
so probably inherited from OOo,
untill
LO 6.1.0.0.alpha0+
Build ID: 3c913c3844acae8ee0d80ab174133bdc7677efea
CPU threads: 2; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-02-14_00:19:27
Locale: en-US (fr_FR); Calc: CL
Comment 4 Commit Notification 2018-03-14 13:33:59 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5d5da77e82b6498dd73123ec0dc36d2315e279a1

tdf#116305 Add timeout to help Windows bring browsers to the front

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.